Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003222KdenliveFile Loadingpublic2014-02-16 00:062014-03-30 08:41
Reporterfireicer 
Assigned Tovpinon 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionno change required 
Platform64 bitOSGentoo LinuxOS Version2008.0
Product Version0.9.2 
Target VersionFixed in Version 
Summary0003222: bunks entire vide codec on entire system
DescriptionYou render one project at 1080p perfectly fine all works. Hit file new to start a new project then add clip into the project and it sits loading never actually recovering to a usable state.
Further more if you try to place the loading clip into the time line then kde notification goes mad with the bell error. Trying to close kdenlive after this is impossible it crashes with some attachment to kdeinit that sits in zombie state.

After this even VLC wont load a video, it appears for a few seconds and just disappears.
Steps To Reproducestart a project, add an audio WAV file then add a 1080p clip. add to the time lines and render project in Mpeg4.

File -> new and do the same again with new clips and they seems to never want to load into kdenlive.

all problems begin to migrate from that point forward.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0009712)
vpinon (administrator)
2014-02-17 16:16

I can't reproduce this strange behavior, it might come from the state of your system...
kdenlive and VLC shouldn't have any relationship (they share libraries, but the OS isolates their processes). If both fail, yes you have a corrupted multimedia stack, but I don't see how kdenlive can impact the system so deeply. Didn't you run an update touching those libs in the mean time?
(0009716)
fireicer (reporter)
2014-02-17 17:34

+vpinon You are correct, it seems that when i move from 0.9.2 up to 0.9.6 version the problem still exists only now in the later version it crashes when i create a new project.

I have initiated a "emerge -veD kdenlive" to recompile my entire dependency tree for kdenlive.

I am using GCC flags "-march=native -O2 -pipe -ggdb" but previously i had optimizations "-O3" enabled so my system has mixed binaries hence the reason i initiated the above emerge command.

The added clip was MP4 1080p and was about 31min long with a 3min long wav. I was going to cut out the long 30minn clip to best bits along side my home made audio track.

The reason i clicked new was because i messed it up so just file --> New then discard saving changes etc.

That is when the newer version crashed on me.

Once compiles finish i shall report back on the outcome.

thank you for help so far.
(0009718)
vpinon (administrator)
2014-02-17 21:39

normally you don't have to change the CFLAGS positioned by the build system

whenever you have a crash, if you have a kCrash or gdb backtrace it can help to identify the weakness in the code

thanks to let me know the status with your update!
(0009721)
fireicer (reporter)
2014-02-18 16:16

Hi vpinon

The problem still exists regardless of my CFLAGS change exactly as you had said.

I have pushed with GDB to get a meaningful back-trace. It looks like on program exit or close it wont let go of the thread and halts with kdinit sits in zombie mode.
This GDB was configured as "x86_64-pc-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>... [^]
Reading symbols from /usr/bin/kdenlive...Reading symbols from /usr/lib64/debug/usr/bin/kdenlive.debug...done.
done.
(gdb) bt full
No stack.
(gdb) backtrace full
No stack.
(gdb) run
Starting program: /usr/bin/kdenlive
warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7ffff7ffa000
warning: Could not load shared library symbols for linux-vdso.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
QWidget::insertAction: Attempt to insert null action
QWidget::insertAction: Attempt to insert null action
[New Thread 0x7fffd16da700 (LWP 5700)]
[New Thread 0x7fffd0ed9700 (LWP 5701)]
[New Thread 0x7fffcad50700 (LWP 5702)]
Object::connect: No such signal org::freedesktop::UPower::DeviceAdded(QDBusObjectPath)
Object::connect: No such signal org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath)
[New Thread 0x7fffca54f700 (LWP 5706)]
[Thread 0x7fffd16da700 (LWP 5700) exited]
[Thread 0x7fffd0ed9700 (LWP 5701) exited]
[New Thread 0x7fffd0ed9700 (LWP 5707)]
[New Thread 0x7fffd16da700 (LWP 5708)]
[Thread 0x7fffd0ed9700 (LWP 5707) exited]
[Thread 0x7fffd16da700 (LWP 5708) exited]
[New Thread 0x7fffd16da700 (LWP 5709)]
[New Thread 0x7fffd0ed9700 (LWP 5710)]
kdenlive(5696)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
[Thread 0x7fffd16da700 (LWP 5709) exited]
[Thread 0x7fffd0ed9700 (LWP 5710) exited]
[Thread 0x7ffff7f94800 (LWP 5696) exited]
[Thread 0x7fffca54f700 (LWP 5706) exited]
 

++++++++++
I had tried last night a further trace option:

Reading symbols from /usr/bin/kdenlive...Reading symbols from /usr/lib64/debug/usr/bin/kdenlive.debug...done.
done.
(gdb) break fpc_raiseexception
Function "fpc_raiseexception" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y

Breakpoint 1 (fpc_raiseexception) pending.
(gdb) run
Starting program: /usr/bin/kdenlive
warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7ffff7ffa000
warning: Could not load shared library symbols for linux-vdso.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
QWidget::insertAction: Attempt to insert null action
QWidget::insertAction: Attempt to insert null action
[New Thread 0x7fffd16da700 (LWP 25998)]
[New Thread 0x7fffd0ed9700 (LWP 26023)]
kdenlive(20928)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
[Thread 0x7fffd16da700 (LWP 25998) exited]
[Thread 0x7fffd0ed9700 (LWP 26023) exited]
[Inferior 1 (process 20928) exited normally]
(gdb) break fpc_raiseexception
Function "fpc_raiseexception" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y

Breakpoint 2 (fpc_raiseexception) pending.
(gdb) run
Starting program: /usr/bin/kdenlive
warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7ffff7ffa000
warning: Could not load shared library symbols for linux-vdso.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
QWidget::insertAction: Attempt to insert null action
QWidget::insertAction: Attempt to insert null action
[New Thread 0x7fffd16da700 (LWP 28975)]
[New Thread 0x7fffd0ed9700 (LWP 28977)]
[New Thread 0x7fffcad50700 (LWP 29944)]
Object::connect: No such signal org::freedesktop::UPower::DeviceAdded(QDBusObjectPath)
Object::connect: No such signal org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath)
[New Thread 0x7fffca54f700 (LWP 31423)]
[Thread 0x7fffd16da700 (LWP 28975) exited]
[Thread 0x7fffd0ed9700 (LWP 28977) exited]
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fffb8008a00] multiple edit list entries, a/v desync might occur, patch welcome
[New Thread 0x7fffd0ed9700 (LWP 31424)]
[New Thread 0x7fffd16da700 (LWP 31425)]
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fffb81d20f0] multiple edit list entries, a/v desync might occur, patch welcome
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fffb801fd10] multiple edit list entries, a/v desync might occur, patch welcome
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fffb8018a40] multiple edit list entries, a/v desync might occur, patch welcome
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fffb81402a0] multiple edit list entries, a/v desync might occur, patch welcome
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fffb814ff20] multiple edit list entries, a/v desync might occur, patch welcome

+++++++++
I set a breakpoint for raised exception and the output is as above.

i attached gdb to the PID of kdinit after it wont let go of the process and got this output.

Attaching to process 4768
Reading symbols from /usr/bin/kdeinit4...Reading symbols from /usr/lib64/debug/usr/bin/kdeinit4.debug...done.
done.

warning: Could not load shared library symbols for linux-vdso.so.1.
Do you need "set solib-search-path" or "set sysroot"?
Reading symbols from /usr/lib64/libkdeui.so.5...Reading symbols from /usr/lib64/debug/usr/lib64/libkdeui.so.5.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libkdeui.so.5
Reading symbols from /usr/lib64/libX11.so.6...Reading symbols from /usr/lib64/debug/usr/lib64/libX11.so.6.3.0.debug...done.
done.
Loaded symbols for /usr/lib64/libX11.so.6
Reading symbols from /usr/lib64/libkdecore.so.5...Reading symbols from /usr/lib64/debug/usr/lib64/libkdecore.so.5.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libkdecore.so.5
Reading symbols from /usr/lib64/qt4/libQtCore.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtCore.so.4.8.5.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtCore.so.4
Reading symbols from /lib64/libpthread.so.0...Reading symbols from /usr/lib64/debug/lib64/libpthread-2.17.so.debug...done.
done.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Loaded symbols for /lib64/libpthread.so.0
Reading symbols from /usr/lib64/qt4/libQtGui.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtGui.so.4.8.5.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtGui.so.4
Reading symbols from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libstdc++.so.6...Reading symbols from /usr/lib64/debug/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libstdc++.so.6.0.18.debug...done.
done.
Loaded symbols for /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libstdc++.so.6
Reading symbols from /lib64/libc.so.6...Reading symbols from /usr/lib64/debug/lib64/libc-2.17.so.debug...done.
done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /usr/lib64/libSM.so.6...Reading symbols from /usr/lib64/debug/usr/lib64/libSM.so.6.0.1.debug...done.
done.
Loaded symbols for /usr/lib64/libSM.so.6
Reading symbols from /usr/lib64/libICE.so.6...Reading symbols from /usr/lib64/debug/usr/lib64/libICE.so.6.3.0.debug...done.
done.
Loaded symbols for /usr/lib64/libICE.so.6
Reading symbols from /usr/lib64/qt4/libQtXml.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtXml.so.4.8.5.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtXml.so.4
Reading symbols from /usr/lib64/libattica.so.0.4...Reading symbols from /usr/lib64/debug/usr/lib64/libattica.so.0.4.2.debug...done.
done.
Loaded symbols for /usr/lib64/libattica.so.0.4
Reading symbols from /usr/lib64/qt4/libQtNetwork.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtNetwork.so.4.8.5.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtNetwork.so.4
Reading symbols from /usr/lib64/qt4/libQtSvg.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtSvg.so.4.8.5.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtSvg.so.4
Reading symbols from /usr/lib64/libdbusmenu-qt.so.2...Reading symbols from /usr/lib64/debug/usr/lib64/libdbusmenu-qt.so.2.6.0.debug...done.
done.
Loaded symbols for /usr/lib64/libdbusmenu-qt.so.2
Reading symbols from /usr/lib64/libXtst.so.6...Reading symbols from /usr/lib64/debug/usr/lib64/libXtst.so.6.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXtst.so.6
Reading symbols from /usr/lib64/libXcursor.so.1...Reading symbols from /usr/lib64/debug/usr/lib64/libXcursor.so.1.0.2.debug...done.
done.
Loaded symbols for /usr/lib64/libXcursor.so.1
Reading symbols from /usr/lib64/libXfixes.so.3...Reading symbols from /usr/lib64/debug/usr/lib64/libXfixes.so.3.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXfixes.so.3
Reading symbols from /usr/lib64/libXrender.so.1...Reading symbols from /usr/lib64/debug/usr/lib64/libXrender.so.1.3.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXrender.so.1
Reading symbols from /usr/lib64/qt4/libQtDBus.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtDBus.so.4.8.5.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtDBus.so.4
Reading symbols from /lib64/libm.so.6...Reading symbols from /usr/lib64/debug/lib64/libm-2.17.so.debug...done.
done.
Loaded symbols for /lib64/libm.so.6
Reading symbols from /usr/lib64/libxcb.so.1...Reading symbols from /usr/lib64/debug/usr/lib64/libxcb.so.1.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libxcb.so.1
Reading symbols from /lib64/libdl.so.2...Reading symbols from /usr/lib64/debug/lib64/libdl-2.17.so.debug...done.
done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /lib64/libz.so.1...Reading symbols from /usr/lib64/debug/lib64/libz.so.1.2.8.debug...done.
done.
Loaded symbols for /lib64/libz.so.1
Reading symbols from /lib64/libbz2.so.1...Reading symbols from /usr/lib64/debug/lib64/libbz2.so.1.0.6.debug...done.
done.
Loaded symbols for /lib64/libbz2.so.1
Reading symbols from /lib64/liblzma.so.5...Reading symbols from /usr/lib64/debug/lib64/liblzma.so.5.0.5.debug...done.
done.
Loaded symbols for /lib64/liblzma.so.5
Reading symbols from /usr/lib64/libfam.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libfam.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libfam.so.0
Reading symbols from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libgcc_s.so.1...Reading symbols from /usr/lib64/debug/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libgcc_s.so.1.debug...done.
done.
Loaded symbols for /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libgcc_s.so.1
Reading symbols from /usr/lib64/libglib-2.0.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libglib-2.0.so.0.3600.4.debug...done.
done.
Loaded symbols for /usr/lib64/libglib-2.0.so.0
Reading symbols from /lib64/librt.so.1...Reading symbols from /usr/lib64/debug/lib64/librt-2.17.so.debug...done.
done.
Loaded symbols for /lib64/librt.so.1
Reading symbols from /lib64/ld-linux-x86-64.so.2...Reading symbols from /usr/lib64/debug/lib64/ld-2.17.so.debug...done.
done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib64/libaudio.so.2...Reading symbols from /usr/lib64/debug/usr/lib64/libaudio.so.2.4.debug...done.
done.
Loaded symbols for /usr/lib64/libaudio.so.2
Reading symbols from /usr/lib64/libpng16.so.16...Reading symbols from /usr/lib64/debug/usr/lib64/libpng16.so.16.8.0.debug...done.
done.
Loaded symbols for /usr/lib64/libpng16.so.16
Reading symbols from /usr/lib64/libfreetype.so.6...Reading symbols from /usr/lib64/debug/usr/lib64/libfreetype.so.6.10.0.debug...done.
done.
Loaded symbols for /usr/lib64/libfreetype.so.6
Reading symbols from /usr/lib64/libXi.so.6...Reading symbols from /usr/lib64/debug/usr/lib64/libXi.so.6.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXi.so.6
Reading symbols from /usr/lib64/libXrandr.so.2...Reading symbols from /usr/lib64/debug/usr/lib64/libXrandr.so.2.2.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXrandr.so.2
Reading symbols from /usr/lib64/libXinerama.so.1...Reading symbols from /usr/lib64/debug/usr/lib64/libXinerama.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXinerama.so.1
Reading symbols from /usr/lib64/libfontconfig.so.1...Reading symbols from /usr/lib64/debug/usr/lib64/libfontconfig.so.1.7.0.debug...done.
done.
Loaded symbols for /usr/lib64/libfontconfig.so.1
Reading symbols from /usr/lib64/libXext.so.6...Reading symbols from /usr/lib64/debug/usr/lib64/libXext.so.6.4.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXext.so.6
Reading symbols from /lib64/libuuid.so.1...Reading symbols from /usr/lib64/debug/lib64/libuuid.so.1.3.0.debug...done.
done.
Loaded symbols for /lib64/libuuid.so.1
Reading symbols from /usr/lib64/libssl.so.1.0.0...Reading symbols from /usr/lib64/debug/usr/lib64/libssl.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libssl.so.1.0.0
Reading symbols from /usr/lib64/libcrypto.so.1.0.0...Reading symbols from /usr/lib64/debug/usr/lib64/libcrypto.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libcrypto.so.1.0.0
Reading symbols from /usr/lib64/libdbus-1.so.3...Reading symbols from /usr/lib64/debug/usr/lib64/libdbus-1.so.3.7.4.debug...done.
done.
Loaded symbols for /usr/lib64/libdbus-1.so.3
Reading symbols from /usr/lib64/libXau.so.6...Reading symbols from /usr/lib64/debug/usr/lib64/libXau.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXau.so.6
Reading symbols from /usr/lib64/libXdmcp.so.6...Reading symbols from /usr/lib64/debug/usr/lib64/libXdmcp.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXdmcp.so.6
Reading symbols from /usr/lib64/libXt.so.6...Reading symbols from /usr/lib64/debug/usr/lib64/libXt.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXt.so.6
Reading symbols from /usr/lib64/libexpat.so.1...Reading symbols from /usr/lib64/debug/usr/lib64/libexpat.so.1.6.0.debug...done.
done.
Loaded symbols for /usr/lib64/libexpat.so.1
Reading symbols from /usr/lib64/libkrb5.so.3...Reading symbols from /usr/lib64/debug/usr/lib64/libkrb5.so.3.3.debug...done.
done.
Loaded symbols for /usr/lib64/libkrb5.so.3
Reading symbols from /usr/lib64/libk5crypto.so.3...Reading symbols from /usr/lib64/debug/usr/lib64/libk5crypto.so.3.1.debug...done.
done.
Loaded symbols for /usr/lib64/libk5crypto.so.3
Reading symbols from /lib64/libcom_err.so.2...Reading symbols from /usr/lib64/debug/lib64/libcom_err.so.2.1.debug...done.
done.
Loaded symbols for /lib64/libcom_err.so.2
Reading symbols from /usr/lib64/libkrb5support.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libkrb5support.so.0.1.debug...done.
done.
Loaded symbols for /usr/lib64/libkrb5support.so.0
Reading symbols from /lib64/libkeyutils.so.1...Reading symbols from /usr/lib64/debug/lib64/libkeyutils.so.1.4.debug...done.
done.
Loaded symbols for /lib64/libkeyutils.so.1
Reading symbols from /lib64/libresolv.so.2...Reading symbols from /usr/lib64/debug/lib64/libresolv-2.17.so.debug...done.
done.
Loaded symbols for /lib64/libresolv.so.2
Reading symbols from /usr/lib64/gconv/UTF-16.so...Reading symbols from /usr/lib64/debug/usr/lib64/gconv/UTF-16.so.debug...done.
done.
Loaded symbols for /usr/lib64/gconv/UTF-16.so
Reading symbols from /usr/lib64/libicui18n.so.51...Reading symbols from /usr/lib64/debug/usr/lib64/libicui18n.so.51.2.debug...done.
done.
Loaded symbols for /usr/lib64/libicui18n.so.51
Reading symbols from /usr/lib64/libicuuc.so.51...Reading symbols from /usr/lib64/debug/usr/lib64/libicuuc.so.51.2.debug...done.
done.
Loaded symbols for /usr/lib64/libicuuc.so.51
Reading symbols from /usr/lib64/libicudata.so.51...Reading symbols from /usr/lib64/debug/usr/lib64/libicudata.so.51.2.debug...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libicudata.so.51
Reading symbols from /usr/lib64/libkio.so.5...Reading symbols from /usr/lib64/debug/usr/lib64/libkio.so.5.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libkio.so.5
Reading symbols from /usr/lib64/libnepomuk.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/libnepomuk.so.4.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libnepomuk.so.4
Reading symbols from /usr/lib64/libstreamanalyzer.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libstreamanalyzer.so.0.7.8.debug...done.
done.
Loaded symbols for /usr/lib64/libstreamanalyzer.so.0
Reading symbols from /usr/lib64/libsolid.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/libsolid.so.4.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libsolid.so.4
Reading symbols from /lib64/libacl.so.1...Reading symbols from /usr/lib64/debug/lib64/libacl.so.1.1.0.debug...done.
done.
Loaded symbols for /lib64/libacl.so.1
Reading symbols from /lib64/libattr.so.1...Reading symbols from /usr/lib64/debug/lib64/libattr.so.1.1.0.debug...done.
done.
Loaded symbols for /lib64/libattr.so.1
Reading symbols from /usr/lib64/libsoprano.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/libsoprano.so.4.3.0.debug...done.
done.
Loaded symbols for /usr/lib64/libsoprano.so.4
Reading symbols from /usr/lib64/libstreams.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libstreams.so.0.7.8.debug...done.
done.
Loaded symbols for /usr/lib64/libstreams.so.0
Reading symbols from /usr/lib64/libxml2.so.2...Reading symbols from /usr/lib64/debug/usr/lib64/libxml2.so.2.9.1.debug...done.
done.
Loaded symbols for /usr/lib64/libxml2.so.2
Reading symbols from /lib64/libudev.so.1...Reading symbols from /usr/lib64/debug/lib64/libudev.so.1.3.0.debug...done.
done.
Loaded symbols for /lib64/libudev.so.1
Reading symbols from /usr/lib64/libkparts.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/libkparts.so.4.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libkparts.so.4
Reading symbols from /usr/lib64/libnepomukutils.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/libnepomukutils.so.4.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libnepomukutils.so.4
Reading symbols from /usr/lib64/libnepomukquery.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/libnepomukquery.so.4.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libnepomukquery.so.4
Reading symbols from /usr/lib64/libplasma.so.3...Reading symbols from /usr/lib64/debug/usr/lib64/libplasma.so.3.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libplasma.so.3
Reading symbols from /usr/lib64/qt4/libQtWebKit.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtWebKit.so.4.9.4.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtWebKit.so.4
Reading symbols from /usr/lib64/qt4/libQtScript.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtScript.so.4.8.5.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtScript.so.4
Reading symbols from /usr/lib64/qt4/libQtSql.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtSql.so.4.8.5.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtSql.so.4
Reading symbols from /usr/lib64/qt4/libQtDeclarative.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtDeclarative.so.4.8.5.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtDeclarative.so.4
Reading symbols from /usr/lib64/libkdnssd.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/libkdnssd.so.4.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libkdnssd.so.4
Reading symbols from /usr/lib64/libthreadweaver.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/libthreadweaver.so.4.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libthreadweaver.so.4
Reading symbols from /usr/lib64/libkdewebkit.so.5...Reading symbols from /usr/lib64/debug/usr/lib64/libkdewebkit.so.5.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libkdewebkit.so.5
Reading symbols from /usr/lib64/libknewstuff3.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/libknewstuff3.so.4.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libknewstuff3.so.4
Reading symbols from /usr/lib64/qca2/libqca.so.2...Reading symbols from /usr/lib64/debug/usr/lib64/qca2/libqca.so.2.0.3.debug...done.
done.
Loaded symbols for /usr/lib64/qca2/libqca.so.2
Reading symbols from /usr/lib64/libphonon.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/libphonon.so.4.6.0.debug...done.
done.
Loaded symbols for /usr/lib64/libphonon.so.4
Reading symbols from /usr/lib64/qt4/libQtOpenGL.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtOpenGL.so.4.8.5.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtOpenGL.so.4
Reading symbols from /usr/lib64/libkcmutils.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/libkcmutils.so.4.12.2.debug...done.
done.
Loaded symbols for /usr/lib64/libkcmutils.so.4
Reading symbols from /usr/lib64/libsqlite3.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libsqlite3.so.0.8.6.debug...done.
done.
Loaded symbols for /usr/lib64/libsqlite3.so.0
Reading symbols from /usr/lib64/libgstapp-0.10.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libgstapp-0.10.so.0.25.0.debug...done.
done.
Loaded symbols for /usr/lib64/libgstapp-0.10.so.0
Reading symbols from /usr/lib64/libgstinterfaces-0.10.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libgstinterfaces-0.10.so.0.25.0.debug...done.
done.
Loaded symbols for /usr/lib64/libgstinterfaces-0.10.so.0
Reading symbols from /usr/lib64/libgstpbutils-0.10.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libgstpbutils-0.10.so.0.25.0.debug...done.
done.
Loaded symbols for /usr/lib64/libgstpbutils-0.10.so.0
Reading symbols from /usr/lib64/libgstvideo-0.10.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libgstvideo-0.10.so.0.25.0.debug...done.
done.
Loaded symbols for /usr/lib64/libgstvideo-0.10.so.0
Reading symbols from /usr/lib64/libgstbase-0.10.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libgstbase-0.10.so.0.30.0.debug...done.
done.
Loaded symbols for /usr/lib64/libgstbase-0.10.so.0
Reading symbols from /usr/lib64/libgstreamer-0.10.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libgstreamer-0.10.so.0.30.0.debug...done.
done.
Loaded symbols for /usr/lib64/libgstreamer-0.10.so.0
Reading symbols from /usr/lib64/libgobject-2.0.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libgobject-2.0.so.0.3600.4.debug...done.
done.
Loaded symbols for /usr/lib64/libgobject-2.0.so.0
Reading symbols from /usr/lib64/qt4/libQtXmlPatterns.so.4...Reading symbols from /usr/lib64/debug/usr/lib64/qt4/libQtXmlPatterns.so.4.8.5.debug...done.
done.
Loaded symbols for /usr/lib64/qt4/libQtXmlPatterns.so.4
Reading symbols from /usr/lib64/libGL.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libGL.so.1
Reading symbols from /usr/lib64/libgmodule-2.0.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libgmodule-2.0.so.0.3600.4.debug...done.
done.
Loaded symbols for /usr/lib64/libgmodule-2.0.so.0
Reading symbols from /usr/lib64/libgthread-2.0.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/libgthread-2.0.so.0.3600.4.debug...done.
done.
Loaded symbols for /usr/lib64/libgthread-2.0.so.0
Reading symbols from /usr/lib64/liborc-0.4.so.0...Reading symbols from /usr/lib64/debug/usr/lib64/liborc-0.4.so.0.16.0.debug...done.
done.
Loaded symbols for /usr/lib64/liborc-0.4.so.0
Reading symbols from /usr/lib64/libffi.so.6...Reading symbols from /usr/lib64/debug/usr/lib64/libffi.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libffi.so.6
Reading symbols from /usr/lib64/libnvidia-tls.so.334.16...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libnvidia-tls.so.334.16
Reading symbols from /usr/lib64/libnvidia-glcore.so.334.16...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libnvidia-glcore.so.334.16

warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7fffb0dfe000
0x00007f897fab1e73 in __select_nocancel ()
    at ../sysdeps/unix/syscall-template.S:81
81 ../sysdeps/unix/syscall-template.S: No such file or directory.

++++++++

Backtrace for kdinit process ID of the above:

warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7fffb0dfe000
0x00007f897fab1e73 in __select_nocancel ()
    at ../sysdeps/unix/syscall-template.S:81
81 ../sysdeps/unix/syscall-template.S: No such file or directory.
(gdb) backtrace
#0 0x00007f897fab1e73 in __select_nocancel ()
    at ../sysdeps/unix/syscall-template.S:81
#1 0x0000000000409cf2 in handle_requests (waitForPid=waitForPid@entry=0)
    at /var/tmp/portage/kde-base/kdelibs-4.12.2/work/kdelibs-4.12.2/kinit/kinit.cpp:1385
0000002 0x0000000000405ba8 in main (argc=2, argv=<optimized out>, envp=0x7fffb0c249c0)
    at /var/tmp/portage/kde-base/kdelibs-4.12.2/work/kdelibs-4.12.2/kinit/kinit.cpp:1899


+++++++++++
Finally my analysis through system monitor shows one instance of kdinit at PID=4768 and 4 instances of kdenlive.

I attached to one of the kdenlive instances PID=5124

pulled a backtrace:

warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7fff6f699000
0x00007f0a4b44d990 in __poll_nocancel () at ../sysdeps/unix/syscall-template.S:81
81 ../sysdeps/unix/syscall-template.S: No such file or directory.

$(gdb) backtrace

#0 0x00007f0a4b44d990 in __poll_nocancel ()
    at ../sysdeps/unix/syscall-template.S:81
#1 0x00007f0a487e5854 in g_main_context_poll (priority=2147483647, n_fds=4,
    fds=0xc8f830, timeout=-1, context=0xa83730)
    at /var/tmp/portage/dev-libs/glib-2.36.4-r1/work/glib-2.36.4/glib/gmain.c:3995
0000002 g_main_context_iterate (context=context@entry=0xa83730, block=block@entry=1,
    dispatch=dispatch@entry=1, self=<optimized out>)
    at /var/tmp/portage/dev-libs/glib-2.36.4-r1/work/glib-2.36.4/glib/gmain.c:3696
0000003 0x00007f0a487e595c in g_main_context_iteration (context=0xa83730, may_block=1)
    at /var/tmp/portage/dev-libs/glib-2.36.4-r1/work/glib-2.36.4/glib/gmain.c:3762
0000004 0x00007f0a4d7f9fd5 in QEventDispatcherGlib::processEvents (this=0xa81400,
    flags=...) at kernel/qeventdispatcher_glib.cpp:425
0000005 0x00007f0a4e273676 in QGuiEventDispatcherGlib::processEvents (
    this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
0000006 0x00007f0a4d7cb61f in QEventLoop::processEvents (this=this@entry=
    0x7fff6f695c00, flags=...) at kernel/qeventloop.cpp:149
0000007 0x00007f0a4d7cb915 in QEventLoop::exec (this=0x7fff6f695c00, flags=...)
    at kernel/qeventloop.cpp:204
0000008 0x00007f0a4d7d0bcb in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:1221
0000009 0x0000000000459e79 in main (argc=<optimized out>, argv=0x7fff6f695e38)
    at /var/tmp/portage/media-video/kdenlive-0.9.6/work/kdenlive-0.9.6/src/main.cpp:89


  
There is allot of output let us know if i can get more to you on it. It seems like a simple problem. Maybe compiling kdenlive to verbose only errors during the compile process might help.

Thanks again and speak soon
(0009745)
vpinon (administrator)
2014-03-02 21:47

Hi, sorry for the long unavailable time;
Thanks for the logging effort but I don't fond helpful informations in your traces... in gdb the you just have the window trying to show up?!
in the text output the only strange info is about writeConfig, maybe you could check if ~/.kde/share/config/kdenliverc is in a good shape? (writeable, without garbage... try to rename it to start from scratch, or with a new user)?

another option is to try the binaries from http://builds.meltytech.com/kdenlive/latest.rss [^] (they include the multimedia libraries) : extract archive and run start-kdenlive
This can show where kdenlive dislikes your environment (your build, your user config, your system...?)
(0009784)
vpinon (administrator)
2014-03-19 20:35

Hello, any news about this issue, or can I close it?
(0009785)
f1r31c3r (reporter)
2014-03-19 21:03

Hi vpinon, sorry for the delay in replying. Yes you can close it.

I enabled the debug use flag on kdenlive and deleted the ~/.kde/share/config/kdenliverc kdenlive config files in my home directory and let kdenlive create a new set of profiles in the home folder.

Seemed to have sorted the problem lol. Just when i enabled debug too to get more output data in gdb it goes and works.

Thank you vpinon

- Issue History
Date Modified Username Field Change
2014-02-16 00:06 fireicer New Issue
2014-02-17 16:16 vpinon Note Added: 0009712
2014-02-17 16:16 vpinon Assigned To => vpinon
2014-02-17 16:16 vpinon Status new => feedback
2014-02-17 17:34 fireicer Note Added: 0009716
2014-02-17 17:34 fireicer Status feedback => assigned
2014-02-17 21:39 vpinon Note Added: 0009718
2014-02-18 16:16 fireicer Note Added: 0009721
2014-03-02 21:47 vpinon Note Added: 0009745
2014-03-02 21:47 vpinon Status assigned => feedback
2014-03-19 20:35 vpinon Note Added: 0009784
2014-03-19 21:03 f1r31c3r Note Added: 0009785
2014-03-30 08:41 j-b-m Status feedback => resolved
2014-03-30 08:41 j-b-m Resolution open => no change required


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker